#### SECUREINFO

#### Synopsis

    HELP:   Define handling of secure information
    TYPE:   NUMBER
    SYNTAX: SECUREINFO/SEC=YES/NO/IGNORE/MEMBER

#### Description

Additional information stored in the FLAMFILE.

Increasing the security of data. Changing the FLAMFILE (in any way) leads to a decompression error.

Concatenation of 'secure' FLAMFILEs lead to secure violations!
`SECUREINFO=YES` needs `MODE=ADC` or `NDC`.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `SECUREINFO=secure option`
  - `SEC=secure option`
- UNIX
  - -FLAMFILE is secure automatically, if encrypted with AES
- WINDOWS
  - `secureinfo=secure option`
  - `sec=secure option`
    - Note: Only in modes ADC, NDC, AES.
      AES-encrypted data is always generated with secure information.

Values

- z/OS
  - `YES` - create these information (default on encryption) on compression
  - `NO` - do not store any additional data
  - `IGNORE` - ignore any security violations on decompression
  - `MEMBER` - only member-specific security information are verified on decompression, not the entire FLAMFILE
    - Note: Concatenation of 'secure' FLAMFILEs lead to secure violations!
      `SECUREINFO=YES` needs `MODE=ADC` or `NDC`.
- WINDOWS
  - `yes` - generate resp. check secure information (default)
  - `no` - do not generate secure information resp. ignore secure information

Default

- z/OS
  - `NO`
  - `YES` (in case of `MODE=ADC`)
- WINDOWS
  - YES, default on encryption
    - Note: AES-encrypted data are always generated with secure information.

Valid for

- compression
- decompression

#### Selections

- `YES - Create secure information at compression`
- `NO - Do not store any additional secure information`
- `IGNORE - Ignore any security violations on decompression`
- `MEMBER - Only member-specific security information is verified`